Unregisters a monitoring event subscriber with this Manager

- « MongoDB\Driver\Manager::getWriteConcern

- MongoDB\Driver\Manager::selectServer »

- PHP Manual
- MongoDB\Driver\Manager
- Unregisters a monitoring event subscriber with this Manager

# MongoDB\Driver\Manager::removeSubscriber

(mongodb >=1.10.0)

MongoDB\Driver\Manager::removeSubscriber — Unregisters a monitoring event subscriber with this Manager

### Description

final public MongoDB\Driver\Manager::removeSubscriber(MongoDB\Driver\Monitoring\Subscriber `$subscriber`): void

Unregisters a monitoring event subscriber with this Manager.

> Note: If `subscriber` is not already registered with this Manager, this function is a no-op.

### Parameters

`subscriber` (MongoDB\Driver\Monitoring\Subscriber)

  A monitoring event subscriber to unregister with this Manager.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Manager::addSubscriber() - Registers a monitoring event subscriber with this Manager
- MongoDB\Driver\Monitoring\Subscriber
- MongoDB\Driver\Monitoring\CommandSubscriber
- MongoDB\Driver\Monitoring\removeSubscriber() - Unregisters a monitoring event subscriber globally
- Application Performance Monitoring (APM)